import { RawPattern } from "./RawPattern";
import { RawPath } from "./RawPath";
import Path from "./Path";
/**
 * Encapsulates the {@link get} and {@link expand} function in an object oriented manner
 * @private
 * @hidden
 */
export default class Pattern {
    readonly pattern: RawPattern;
    constructor(pattern: RawPattern);
    get(object: object | any[]): any[];
    expand(object: object | any[]): Path[];
    expandRaw(object: object | any[]): RawPath[];
}
