"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var get_1 = require("./get");
/**
 * Encapsulates the {@link get} function in an object oriented manner
 * @private
 * @hidden
 */
var Path = /** @class */ (function () {
    function Path(path) {
        this.path = path;
    }
    Path.prototype.get = function (object) {
        return get_1.default(this.path, object);
    };
    return Path;
}());
exports.default = Path;
//# sourceMappingURL=Path.js.map